[{"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\index.js":"1","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\reportWebVitals.js":"2","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\App.js":"3","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\grid.js":"4","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\MenuTabs.js":"5","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\Autor.js":"6","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\libro.js":"7","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\usuario.js":"8","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\Prestamo.js":"9"},{"size":602,"mtime":1609895429606,"results":"10","hashOfConfig":"11"},{"size":375,"mtime":1609895429617,"results":"12","hashOfConfig":"11"},{"size":957,"mtime":1609895429584,"results":"13","hashOfConfig":"11"},{"size":717,"mtime":1610332790031,"results":"14","hashOfConfig":"11"},{"size":2261,"mtime":1610337143735,"results":"15","hashOfConfig":"11"},{"size":8806,"mtime":1609895429623,"results":"16","hashOfConfig":"11"},{"size":6657,"mtime":1610893389509,"results":"17","hashOfConfig":"11"},{"size":5783,"mtime":1609898843323,"results":"18","hashOfConfig":"11"},{"size":7434,"mtime":1610894686777,"results":"19","hashOfConfig":"11"},{"filePath":"20","messages":"21","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":"22","usedDeprecatedRules":"23"},"1jxut7s",{"filePath":"24","messages":"25","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"23"},{"filePath":"26","messages":"27","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"28","usedDeprecatedRules":"23"},{"filePath":"29","messages":"30","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"23"},{"filePath":"31","messages":"32","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"23"},{"filePath":"33","messages":"34","errorCount":0,"warningCount":13,"fixableErrorCount":0,"fixableWarningCount":0,"source":"35","usedDeprecatedRules":"23"},{"filePath":"36","messages":"37","errorCount":0,"warningCount":4,"fixableErrorCount":0,"fixableWarningCount":0,"source":"38","usedDeprecatedRules":"23"},{"filePath":"39","messages":"40","errorCount":0,"warningCount":12,"fixableErrorCount":0,"fixableWarningCount":0,"source":"41","usedDeprecatedRules":"23"},{"filePath":"42","messages":"43","errorCount":0,"warningCount":6,"fixableErrorCount":0,"fixableWarningCount":0,"source":"44"},"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\index.js",["45","46"],"import React from 'react';\r\nimport ReactDOM from 'react-dom';\r\nimport './index.css';\r\nimport App from './App';\r\nimport reportWebVitals from './reportWebVitals';\r\nimport Libro from './vistas/grid';\r\nimport MenuTabs from './vistas/MenuTabs';\r\n\r\n\r\nReactDOM.render(\r\n  <React.StrictMode>\r\n    <MenuTabs/>\r\n  </React.StrictMode>,\r\n  document.getElementById('root')\r\n);\r\n\r\n// If you want to start measuring performance in your app, pass a function\r\n// to log results (for example: reportWebVitals(console.log))\r\n// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals\r\nreportWebVitals();\r\n",["47","48"],"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\reportWebVitals.js",[],"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\App.js",["49"],"import React from 'react';\r\nimport { useForm } from 'react-hook-form';\r\nimport axios from 'axios'\r\nexport default function App() {\r\n  const { register, handleSubmit, errors } = useForm();\r\n\r\n  const onSubmit = data =>{\r\n\r\n    //Enviar la data a la API\r\n    console.log(data);\r\n\r\n    axios \r\n    .post(\"http://localhost:9000/api/usuario/validar\", data)\r\n    .then(\r\n      (response) => {\r\n        if(response.status==200)\r\n        {\r\n          alert(\"Registro ok\")\r\n          console.log(response.data)\r\n        }\r\n      },\r\n      (error) => {\r\n        alert(\"error:\"+error)\r\n      }\r\n    )\r\n    .catch((error) => {\r\n    \r\n      console.log(error);\r\n    });\r\n  } \r\n  console.log(errors);\r\n  \r\n  return (\r\n    <form onSubmit={handleSubmit(onSubmit)}>\r\n      <input type=\"text\" placeholder=\"mail\" name=\"mail\" ref={register} />\r\n      <input type=\"text\" placeholder=\"password\" name=\"pass\" ref={register} />\r\n\r\n      <input type=\"submit\" />\r\n    </form>\r\n  );\r\n}","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\grid.js",[],"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\MenuTabs.js",[],"C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\Autor.js",["50","51","52","53","54","55","56","57","58","59","60","61","62"],"import React, { useState,useEffect} from 'react';\r\nimport Avatar from '@material-ui/core/Avatar';\r\nimport Button from '@material-ui/core/Button';\r\nimport CssBaseline from '@material-ui/core/CssBaseline';\r\nimport TextField from '@material-ui/core/TextField';\r\nimport FormControlLabel from '@material-ui/core/FormControlLabel';\r\nimport Checkbox from '@material-ui/core/Checkbox';\r\nimport Link from '@material-ui/core/Link';\r\nimport Grid from '@material-ui/core/Grid';\r\nimport Box from '@material-ui/core/Box';\r\nimport Typography from '@material-ui/core/Typography';\r\nimport { makeStyles } from '@material-ui/core/styles';\r\nimport Container from '@material-ui/core/Container';\r\nimport { useForm } from 'react-hook-form';\r\nimport axios from 'axios';\r\nimport MaterialDatatable from \"material-datatable\";\r\n\r\nconst useStyles = makeStyles((theme) => ({\r\n  paper: {\r\n    marginTop: theme.spacing(8),\r\n    display: 'flex',\r\n    flexDirection: 'column',\r\n    alignItems: 'center',\r\n  },\r\n  avatar: {\r\n    margin: theme.spacing(1),\r\n    backgroundColor: theme.palette.secondary.main,\r\n  },\r\n  form: {\r\n    width: '100%', // Fix IE 11 issue.\r\n    marginTop: theme.spacing(3),\r\n  },\r\n  submit: {\r\n    margin: theme.spacing(3, 0, 2)\r\n  \r\n  },\r\n  delete : {\r\n    backgroundColor:\"red\"\r\n  }\r\n\r\n}));\r\n\r\nexport default function Autor() {\r\n  const classes = useStyles();\r\n\r\n  const { register, handleSubmit, errors,getValues,setValue,reset } = useForm(\r\n    {defaultValues:{nombre:\"Nombre *\",apellido:\"Apellido *\",edad:\"Edad *\",rut:\"Rut *\"}});\r\n  \r\n  const [contador, setContador] = useState(0)\r\n  const [autores, setAutores] = useState([])\r\n  const [accion,setAccion]= useState(\"Guardar\")\r\n  const [idAutor,setIdAutor] = useState(null);\r\n\r\n  useEffect(() => {\r\n    cargarAutor();\r\n  }, []);\r\n\r\n  const seleccionar = (item) =>{\r\n    setValue(\"nombre\",item.nombre)\r\n    setValue(\"apellido\",item.apellido)\r\n    setValue(\"edad\",item.edad)\r\n    setValue(\"rut\",item.rut)\r\n    setIdAutor(item._id)\r\n    setAccion(\"Modificar\")\r\n    \r\n    \r\n  }\r\n  const columns = [\r\n    {\r\n      name: \"Seleccionar\",\r\n      options: {\r\n        headerNoWrap: true,\r\n        customBodyRender: (item, tablemeta, update) => {\r\n          return (\r\n            <Button\r\n              variant=\"contained\"\r\n              className=\"btn-block\"\r\n              onClick={() => seleccionar(item)}\r\n            >\r\n              Seleccionar\r\n            </Button>\r\n          );\r\n        },\r\n      },\r\n    },\r\n    {\r\n      name: 'Nombre',\r\n      field: 'nombre'\r\n    },\r\n    {\r\n      name: 'Apellido',\r\n      field: 'apellido'\r\n    }\r\n  \r\n    \r\n  ];\r\n\r\n\r\n  const options={\r\n    selectableRows: false,\r\n    print: false,\r\n    onlyOneRowCanBeSelected: false,\r\n    textLabels: {\r\n      body: {\r\n        noMatch: \"Lo sentimos, no se encuentran registros\",\r\n        toolTip: \"Sort\",\r\n      },\r\n      pagination: {\r\n        next: \"Siguiente\",\r\n        previous: \"Página Anterior\",\r\n        rowsPerPage: \"Filas por página:\",\r\n        displayRows: \"de\",\r\n      },\r\n    },\r\n    download: false,\r\n    pagination: true,\r\n    rowsPerPage: 5,\r\n    usePaperPlaceholder: true,\r\n    rowsPerPageOptions: [5, 10, 25],\r\n    sortColumnDirection: \"desc\",\r\n  }\r\n  const onSubmit = data => {\r\n\r\n    if(accion==\"Guardar\"){\r\n      axios\r\n      .post(\"http://localhost:9000/api/autor\", data)\r\n      .then(\r\n        (response) => {\r\n          if (response.status == 200) {\r\n            alert(\"Registro ok\")\r\n            cargarAutor();\r\n            reset();\r\n          }\r\n        },\r\n        (error) => {\r\n          // Swal.fire(\r\n          //   \"Error\",\r\n          //   \"No es posible realizar esta acción: \" + error.message,\r\n          //   \"error\"\r\n          // );\r\n        }\r\n      )\r\n      .catch((error) => {\r\n        // Swal.fire(\r\n        //   \"Error\",\r\n        //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n        //   \"error\"\r\n        // );\r\n        console.log(error);\r\n      });\r\n    }\r\n   if(accion==\"Modificar\"){\r\n    axios\r\n    .put(\"http://localhost:9000/api/autor/\"+idAutor, data)\r\n    .then(\r\n      (response) => {\r\n        if (response.status == 200) {\r\n          alert(\"Modificado\")\r\n          cargarAutor();\r\n          reset();\r\n          setIdAutor(null)\r\n          setAccion(\"Guardar\")\r\n          console.log(response.data)\r\n        }\r\n      },\r\n      (error) => {\r\n        // Swal.fire(\r\n        //   \"Error\",\r\n        //   \"No es posible realizar esta acción: \" + error.message,\r\n        //   \"error\"\r\n        // );\r\n      }\r\n    )\r\n    .catch((error) => {\r\n      // Swal.fire(\r\n      //   \"Error\",\r\n      //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n      //   \"error\"\r\n      // );\r\n      console.log(error);\r\n    });\r\n   }\r\n\r\n  }\r\n\r\n  const eliminar =() =>{\r\n    if(idAutor==null){\r\n      alert(\"Debe seleccionar un autor\")\r\n      return\r\n    }\r\n    axios\r\n    .delete(\"http://localhost:9000/api/autor/\"+idAutor)\r\n    .then(\r\n      (response) => {\r\n        if (response.status == 200) {\r\n\r\n          cargarAutor();\r\n          reset();\r\n          setIdAutor(null)\r\n          setAccion(\"Guardar\")\r\n          console.log(response.data)\r\n          alert(\"Eliminado\")\r\n        }\r\n      },\r\n      (error) => {\r\n        // Swal.fire(\r\n        //   \"Error\",\r\n        //   \"No es posible realizar esta acción: \" + error.message,\r\n        //   \"error\"\r\n        // );\r\n      }\r\n    )\r\n    .catch((error) => {\r\n      // Swal.fire(\r\n      //   \"Error\",\r\n      //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n      //   \"error\"\r\n      // );\r\n      console.log(error);\r\n    });\r\n  }\r\n  const cargarAutor = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/autor\");\r\n    \r\n    setAutores(data.autor);\r\n\r\n\r\n  };\r\n  function click2() {\r\n    setContador(contador + 1);\r\n  }\r\n  return (\r\n    <Container component=\"main\" maxWidth=\"md\">\r\n      <CssBaseline />\r\n      <div className={classes.paper}>\r\n      <Button\r\n            type=\"button\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n        \r\n            className={classes.submit}\r\n            onClick = {()=>{reset();setAccion(\"Guardar\");setIdAutor(null)}}\r\n          >\r\n          Nuevo\r\n          </Button>\r\n        <Typography component=\"h1\" variant=\"h5\">\r\n          Autor - Contador: {contador}\r\n        </Typography>\r\n        <form className={classes.form} onSubmit={handleSubmit(onSubmit)}>\r\n          <Grid container spacing={2}>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                autoComplete=\"fname\"\r\n                name=\"nombre\"\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"firstName\"\r\n                label=\"Nombre\"\r\n                autoFocus\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"lastName\"\r\n                label=\"Last Name\"\r\n                name=\"apellido\"\r\n                autoComplete=\"lname\"\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12}>\r\n              <TextField\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"edad\"\r\n                label=\"Edad\"\r\n                name=\"edad\"\r\n                autoComplete=\"edad\"\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12}>\r\n              <TextField\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                name=\"rut\"\r\n                label=\"rut\"\r\n                id=\"rut\"\r\n                autoComplete=\"rut\"\r\n                inputRef={register}\r\n        \r\n              />\r\n            </Grid>\r\n\r\n          </Grid>\r\n          <Button\r\n            type=\"submit\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n            color=\"primary\"\r\n            className={classes.submit}\r\n          >\r\n            {accion}\r\n          </Button>\r\n          <Button\r\n            type=\"button\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n            color=\"secondary\"\r\n            className={classes.delete}\r\n            onClick = {()=>{eliminar()}}\r\n          >\r\n            Eliminar\r\n          </Button>\r\n          <Grid container spacing={1}>\r\n            <MaterialDatatable\r\n        \r\n              title={\"Autores\"}\r\n              data={autores}\r\n              columns={columns}\r\n              options={options}\r\n            />\r\n          </Grid>\r\n  \r\n        \r\n        </form>\r\n\r\n\r\n      </div>\r\n\r\n    </Container>\r\n  );\r\n}","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\libro.js",["63","64","65","66"],"import React, { useState, useEffect } from 'react';\r\nimport Button from '@material-ui/core/Button';\r\nimport CssBaseline from '@material-ui/core/CssBaseline';\r\nimport TextField from '@material-ui/core/TextField';\r\nimport Grid from '@material-ui/core/Grid';\r\nimport Typography from '@material-ui/core/Typography';\r\nimport { makeStyles } from '@material-ui/core/styles';\r\nimport Container from '@material-ui/core/Container';\r\nimport { useForm } from 'react-hook-form';\r\nimport axios from 'axios';\r\nimport MaterialDatatable from \"material-datatable\";\r\nimport Select from '@material-ui/core/Select';\r\nimport MenuItem from '@material-ui/core/MenuItem';\r\nconst useStyles = makeStyles((theme) => ({\r\n  paper: {\r\n    marginTop: theme.spacing(8),\r\n    display: 'flex',\r\n    flexDirection: 'column',\r\n    alignItems: 'center',\r\n  },\r\n  avatar: {\r\n    margin: theme.spacing(1),\r\n    backgroundColor: theme.palette.secondary.main,\r\n  },\r\n  form: {\r\n    width: '100%', // Fix IE 11 issue.\r\n    marginTop: theme.spacing(3),\r\n  },\r\n  submit: {\r\n    margin: theme.spacing(3, 0, 2)\r\n\r\n  },\r\n  delete: {\r\n    backgroundColor: \"red\"\r\n  }\r\n\r\n}));\r\n\r\nexport default function Libro() {\r\n  const classes = useStyles();\r\n\r\n  const { register, handleSubmit, reset } = useForm(\r\n    { defaultValues: { codigo: \"Codigo *\", nombre: \"Nombre *\" } });\r\n\r\n  const [] = useState(0)\r\n  const [autores, setAutores] = useState(null)\r\n  const [accion] = useState(\"Guardar\")\r\n  const [] = useState(null);\r\n  const [autorSeleccionado, setAutorSeleccionado] = useState(0);\r\n  const [libros, setLibros] = useState([])\r\n\r\n  useEffect(() => {\r\n    cargarAutor();\r\n    cargarLibro();\r\n  }, []);\r\n\r\n  const columns = [\r\n    {\r\n      name: 'Codigo',\r\n      field: 'codigo'\r\n    },\r\n    {\r\n      name: 'Nombre',\r\n      field: 'nombre'\r\n    }\r\n  ];\r\n\r\n\r\n  const options = {\r\n    selectableRows: false,\r\n    print: false,\r\n    onlyOneRowCanBeSelected: false,\r\n    textLabels: {\r\n      body: {\r\n        noMatch: \"Lo sentimos, no se encuentran registros\",\r\n        toolTip: \"Sort\",\r\n      },\r\n      pagination: {\r\n        next: \"Siguiente\",\r\n        previous: \"Página Anterior\",\r\n        rowsPerPage: \"Filas por página:\",\r\n        displayRows: \"de\",\r\n      },\r\n    },\r\n    download: false,\r\n    pagination: true,\r\n    rowsPerPage: 5,\r\n    usePaperPlaceholder: true,\r\n    rowsPerPageOptions: [5, 10, 25],\r\n    sortColumnDirection: \"desc\",\r\n  }\r\n  const onSubmit = data => {\r\n    console.log(data)\r\n    if (accion == \"Guardar\") {\r\n      axios\r\n        .post(\"http://localhost:9000/api/libro\",\r\n          {\r\n            codigo: data.codigo,\r\n            nombre: data.nombre,\r\n            idautor: autorSeleccionado\r\n          })\r\n        .then(\r\n          (response) => {\r\n            if (response.status == 200) {\r\n              alert(\"Registro de libro realizado exitosamente\")\r\n              cargarLibro();\r\n              reset();\r\n            }\r\n          },\r\n          () => {\r\n            // Swal.fire(\r\n            //   \"Error\",\r\n            //   \"No es posible realizar esta acción: \" + error.message,\r\n            //   \"error\"\r\n            // );\r\n          }\r\n        )\r\n        .catch((error) => {\r\n          // Swal.fire(\r\n          //   \"Error\",\r\n          //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n          //   \"error\"\r\n          // );\r\n          console.log(error);\r\n        });\r\n    }\r\n\r\n  }\r\n\r\n\r\n\r\n  const cargarAutor = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/autor\");\r\n\r\n    setAutores(data.autor);\r\n    console.log(data);\r\n\r\n\r\n  };\r\n  const cargarLibro = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/libro\");\r\n\r\n    setLibros(data.libroConAutor);\r\n\r\n\r\n  };\r\n\r\n  const ModificaAutorSeleccionado = (event) => {\r\n    setAutorSeleccionado(event.target.value);\r\n  };\r\n\r\n\r\n  return (\r\n    <Container component=\"main\" maxWidth=\"md\">\r\n      <CssBaseline />\r\n      <div className={classes.paper}>\r\n        <Typography component=\"h1\" variant=\"h5\">\r\n          Registro de libros\r\n        </Typography>\r\n        <form className={classes.form} onSubmit={handleSubmit(onSubmit)}>\r\n          <Grid container spacing={2}>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                autoComplete=\"fname\"\r\n                name=\"codigo\"\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n\r\n                label=\"Codigo\"\r\n                autoFocus\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"lastName\"\r\n                label=\"Nombre\"\r\n                name=\"nombre\"\r\n                autoComplete=\"lname\"\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12}>\r\n              <Select\r\n                labelId=\"demo-customized-select-label\"\r\n                id=\"demo-customized-select\"\r\n                style={{ width: \"100%\" }}\r\n                onChange={ModificaAutorSeleccionado}\r\n                value={autorSeleccionado}\r\n                labelWidth={\"Autor\"}\r\n                margin=\"dense\"\r\n                placeholder={\"Horarios\"}\r\n              >\r\n                <MenuItem selected={true} key={1} value={0}>\r\n                  Seleccione Autor\r\n                </MenuItem>\r\n                {autores !== null ? (\r\n                  autores.map((item, index) => {\r\n                    return (\r\n                      <MenuItem key={index} value={item._id}>\r\n                        <em>{item.nombre}</em>\r\n                      </MenuItem>\r\n                    );\r\n                  })\r\n                ) : (\r\n                    <MenuItem key={-1} value={0}>\r\n                      <em>''</em>\r\n                    </MenuItem>\r\n                  )}\r\n              </Select>\r\n            </Grid>\r\n\r\n          </Grid>\r\n          <Button\r\n            type=\"submit\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n            color=\"primary\"\r\n            className={classes.submit}\r\n          >\r\n            {accion}\r\n          </Button>\r\n          <Grid container spacing={1}>\r\n            <MaterialDatatable\r\n\r\n              title={\"Libros\"}\r\n              data={libros}\r\n              columns={columns}\r\n              options={options}\r\n            />\r\n          </Grid>\r\n\r\n\r\n        </form>\r\n\r\n\r\n      </div>\r\n\r\n    </Container>\r\n  );\r\n}","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\usuario.js",["67","68","69","70","71","72","73","74","75","76","77","78"],"import React, { useState,useEffect} from 'react';\r\nimport Avatar from '@material-ui/core/Avatar';\r\nimport Button from '@material-ui/core/Button';\r\nimport CssBaseline from '@material-ui/core/CssBaseline';\r\nimport TextField from '@material-ui/core/TextField';\r\nimport FormControlLabel from '@material-ui/core/FormControlLabel';\r\nimport Checkbox from '@material-ui/core/Checkbox';\r\nimport Link from '@material-ui/core/Link';\r\nimport Grid from '@material-ui/core/Grid';\r\nimport Box from '@material-ui/core/Box';\r\nimport Typography from '@material-ui/core/Typography';\r\nimport { makeStyles } from '@material-ui/core/styles';\r\nimport Container from '@material-ui/core/Container';\r\nimport { useForm } from 'react-hook-form';\r\nimport axios from 'axios';\r\nimport MaterialDatatable from \"material-datatable\";\r\n\r\nconst useStyles = makeStyles((theme) => ({\r\n  paper: {\r\n    marginTop: theme.spacing(8),\r\n    display: 'flex',\r\n    flexDirection: 'column',\r\n    alignItems: 'center',\r\n  },\r\n  avatar: {\r\n    margin: theme.spacing(1),\r\n    backgroundColor: theme.palette.secondary.main,\r\n  },\r\n  form: {\r\n    width: '100%', // Fix IE 11 issue.\r\n    marginTop: theme.spacing(3),\r\n  },\r\n  submit: {\r\n    margin: theme.spacing(3, 0, 2)\r\n  \r\n  },\r\n  delete : {\r\n    backgroundColor:\"red\"\r\n  }\r\n\r\n}));\r\n\r\nexport default function Autor() {\r\n  const classes = useStyles();\r\n\r\n  const { register, handleSubmit, errors,getValues,setValue,reset } = useForm(\r\n    {defaultValues:{mail:\"mail *\",pass:\"pass *\"}});\r\n  \r\n  const [contador, setContador] = useState(0)\r\n  const [usuarios, setUsuarios] = useState([])\r\n  const [accion,setAccion]= useState(\"Guardar\")\r\n  const [idUsuario,setIdUsuario] = useState(null);\r\n\r\n  useEffect(() => {\r\n    cargarUsuario();\r\n  }, []);\r\n\r\n  const seleccionar = (item) =>{\r\n    setValue(\"nombre\",item.nombre)\r\n    setValue(\"apellido\",item.apellido)\r\n    setValue(\"edad\",item.edad)\r\n    setValue(\"rut\",item.rut)\r\n    setIdUsuario(item._id)\r\n    setAccion(\"Modificar\")\r\n    \r\n    \r\n  }\r\n  const columns = [\r\n    {\r\n      name: \"Seleccionar\",\r\n      options: {\r\n        headerNoWrap: true,\r\n        customBodyRender: (item, tablemeta, update) => {\r\n          return (\r\n            <Button\r\n              variant=\"contained\"\r\n              className=\"btn-block\"\r\n              onClick={() => seleccionar(item)}\r\n            >\r\n              Seleccionar\r\n            </Button>\r\n          );\r\n        },\r\n      },\r\n    },\r\n    {\r\n      name: 'mail',\r\n      field: 'mail'\r\n    },\r\n    {\r\n      name: 'pass',\r\n      field: 'pass'\r\n    }\r\n  \r\n    \r\n  ];\r\n\r\n\r\n  const options={\r\n    selectableRows: false,\r\n    print: false,\r\n    onlyOneRowCanBeSelected: false,\r\n    textLabels: {\r\n      body: {\r\n        noMatch: \"Lo sentimos, no se encuentran registros\",\r\n        toolTip: \"Sort\",\r\n      },\r\n      pagination: {\r\n        next: \"Siguiente\",\r\n        previous: \"Página Anterior\",\r\n        rowsPerPage: \"Filas por página:\",\r\n        displayRows: \"de\",\r\n      },\r\n    },\r\n    download: false,\r\n    pagination: true,\r\n    rowsPerPage: 5,\r\n    usePaperPlaceholder: true,\r\n    rowsPerPageOptions: [5, 10, 25],\r\n    sortColumnDirection: \"desc\",\r\n  }\r\n  const onSubmit = data => {\r\n\r\n    if(accion==\"Guardar\"){\r\n      axios\r\n      .post(\"http://localhost:9000/api/usuario\", data)\r\n      .then(\r\n        (response) => {\r\n          if (response.status == 200) {\r\n            alert(\"Registro ok\")\r\n            cargarUsuario();\r\n            reset();\r\n          }\r\n        },\r\n        (error) => {\r\n          // Swal.fire(\r\n          //   \"Error\",\r\n          //   \"No es posible realizar esta acción: \" + error.message,\r\n          //   \"error\"\r\n          // );\r\n        }\r\n      )\r\n      .catch((error) => {\r\n        // Swal.fire(\r\n        //   \"Error\",\r\n        //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n        //   \"error\"\r\n        // );\r\n        console.log(error);\r\n      });\r\n    }\r\n  }\r\n\r\n  \r\n  const cargarUsuario = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/usuario\");\r\n    \r\n    setUsuarios(data.data);\r\n\r\n\r\n  };\r\n  function click2() {\r\n    setContador(contador + 1);\r\n  }\r\n  return (\r\n    <Container component=\"main\" maxWidth=\"md\">\r\n      <CssBaseline />\r\n      <div className={classes.paper}>\r\n\r\n        <form className={classes.form} onSubmit={handleSubmit(onSubmit)}>\r\n          <Grid container spacing={2}>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                autoComplete=\"fname\"\r\n                name=\"mail\"\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"mail\"\r\n                label=\"correo\"\r\n                autoFocus\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            <Grid item xs={12} sm={6}>\r\n              <TextField\r\n                variant=\"outlined\"\r\n                required\r\n                fullWidth\r\n                id=\"pass\"\r\n                label=\"contraseña\"\r\n                name=\"pass\"\r\n                autoComplete=\"lname\"\r\n                inputRef={register}\r\n              />\r\n            </Grid>\r\n            \r\n          </Grid>\r\n          <Button\r\n            type=\"submit\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n            color=\"primary\"\r\n            className={classes.submit}\r\n          >\r\n            {accion}\r\n          </Button>\r\n         \r\n          <Grid container spacing={1}>\r\n            <MaterialDatatable\r\n        \r\n              title={\"Usuarios\"}\r\n              data={usuarios}\r\n              columns={columns}\r\n              options={options}\r\n            />\r\n          </Grid>\r\n  \r\n        \r\n        </form>\r\n\r\n\r\n      </div>\r\n\r\n    </Container>\r\n  );\r\n}","C:\\Users\\zambr\\Desktop\\Desarrollo web\\Taller 4 web\\BibliotecaParte1\\front\\src\\vistas\\Prestamo.js",["79","80","81","82","83","84"],"import React, { useState, useEffect } from 'react';\r\nimport Button from '@material-ui/core/Button';\r\nimport CssBaseline from '@material-ui/core/CssBaseline';\r\nimport TextField from '@material-ui/core/TextField';\r\nimport Grid from '@material-ui/core/Grid';\r\nimport Typography from '@material-ui/core/Typography';\r\nimport { makeStyles } from '@material-ui/core/styles';\r\nimport Container from '@material-ui/core/Container';\r\nimport { useForm } from 'react-hook-form';\r\nimport axios from 'axios';\r\nimport MaterialDatatable from \"material-datatable\";\r\nimport Select from '@material-ui/core/Select';\r\nimport MenuItem from '@material-ui/core/MenuItem';\r\n\r\nconst useStyles = makeStyles((theme) => ({\r\n  paper: {\r\n    marginTop: theme.spacing(8),\r\n    display: 'flex',\r\n    flexDirection: 'column',\r\n    alignItems: 'center',\r\n  },\r\n  avatar: {\r\n    margin: theme.spacing(1),\r\n    backgroundColor: theme.palette.secondary.main,\r\n  },\r\n  form: {\r\n    width: '100%', // Fix IE 11 issue.\r\n    marginTop: theme.spacing(3),\r\n  },\r\n  submit: {\r\n    margin: theme.spacing(3, 0, 2)\r\n\r\n  },\r\n  delete: {\r\n    backgroundColor: \"red\"\r\n  }\r\n\r\n}));\r\n\r\nexport default function Libro() {\r\n  const classes = useStyles();\r\n\r\n  const { handleSubmit, reset } = useForm(\r\n    { defaultValues: { codigo: \"Codigo *\", nombre: \"Nombre *\" } });\r\n\r\n  const [] = useState(0)\r\n  const [persona, setPersona] = useState(null)\r\n  const [accion] = useState(\"Guardar\")\r\n  const [] = useState(null);\r\n  const [prestamo, setPrestamo] = useState([]);\r\n  const [personaSeleccionado, setPersonaSeleccionado] = useState(0);\r\n  const [libroSeleccionado, setLibroSeleccionado] = useState(0);\r\n  const [libros, setLibros] = useState(null)\r\n  const fecha = new Date();\r\n  const fechaguardada = (fecha.getFullYear() + '-' +(fecha.getMonth()+1) + '-' + fecha.getDate());\r\n\r\n  useEffect(() => {\r\n    cargarPersona();\r\n    cargarLibro();\r\n  }, []);\r\n\r\n  const columns = [\r\n    {\r\n      name: 'Codigo',\r\n      field: 'codigo'\r\n    },\r\n    {\r\n      name: 'Nombre',\r\n      field: 'nombre'\r\n    }\r\n  ];\r\n\r\n\r\n  const options = {\r\n    selectableRows: false,\r\n    print: false,\r\n    onlyOneRowCanBeSelected: false,\r\n    textLabels: {\r\n      body: {\r\n        noMatch: \"Lo sentimos, no se encuentran registros\",\r\n        toolTip: \"Sort\",\r\n      },\r\n      pagination: {\r\n        next: \"Siguiente\",\r\n        previous: \"Página Anterior\",\r\n        rowsPerPage: \"Filas por página:\",\r\n        displayRows: \"de\",\r\n      },\r\n    },\r\n    download: false,\r\n    pagination: true,\r\n    rowsPerPage: 5,\r\n    usePaperPlaceholder: true,\r\n    rowsPerPageOptions: [5, 10, 25],\r\n    sortColumnDirection: \"desc\",\r\n  }\r\n\r\n\r\n  const onSubmit = data => {\r\n    console.log(data)\r\n    if (accion == \"Guardar\") {\r\n      axios\r\n        .post(\"http://localhost:9000/api/prestamo\",\r\n          {\r\n            idPersona: personaSeleccionado, \r\n            libro: libroSeleccionado,\r\n            fecha: fechaguardada\r\n          })\r\n        .then(\r\n          (response) => {\r\n            if (response.status == 200) {\r\n              alert(\"Prestamo de libro realizado exitosamente\")\r\n              cargarLibro();\r\n              reset();\r\n            }\r\n          },\r\n          () => {\r\n            // Swal.fire(\r\n            //   \"Error\",\r\n            //   \"No es posible realizar esta acción: \" + error.message,\r\n            //   \"error\"\r\n            // );\r\n          }\r\n        )\r\n        .catch((error) => {\r\n          // Swal.fire(\r\n          //   \"Error\",\r\n          //   \"No cuenta con los permisos suficientes para realizar esta acción\",\r\n          //   \"error\"\r\n          // ); \r\n          console.log(error);\r\n        });\r\n    }\r\n\r\n  }\r\n\r\n\r\n\r\n  const cargarPersona = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/personas\");\r\n\r\n    setPersona(data.persona);\r\n    console.log(data);\r\n\r\n\r\n  };\r\n\r\n  const cargarLibro = async () => {\r\n    // const { data } = await axios.get('/api/zona/listar');\r\n\r\n    const { data } = await axios.get(\"http://localhost:9000/api/libro\");\r\n\r\n    setLibros(data.libroConAutor);\r\n  };\r\n\r\n  const ModificaPersonaSeleccionado = (event) => {\r\n    setPersonaSeleccionado(event.target.value);\r\n  };\r\n\r\n  const ModificaLibroSeleccionado = (event) => {\r\n    setLibroSeleccionado(event.target.value);\r\n  };\r\n\r\n\r\n  return (\r\n    <Container component=\"main\" maxWidth=\"md\">\r\n      <CssBaseline />\r\n      <div className={classes.paper}>\r\n        <Typography component=\"h1\" variant=\"h5\">\r\n          Registro de libros\r\n        </Typography>\r\n        <form className={classes.form} onSubmit={handleSubmit(onSubmit)}>\r\n          <Grid container spacing={2}>\r\n\r\n            <Grid item xs={12}>\r\n              <Select\r\n                labelId=\"demo-customized-select-label\"\r\n                id=\"demo-customized-select\"\r\n                style={{ width: \"100%\" }}\r\n                onChange={ModificaPersonaSeleccionado}\r\n                value={personaSeleccionado}\r\n                labelWidth={\"Autor\"}\r\n                margin=\"dense\"\r\n                placeholder={\"Horarios\"}\r\n              >\r\n                <MenuItem selected={true} key={1} value={0}>\r\n                  Seleccione Persona\r\n                </MenuItem>\r\n                {persona !== null ? (\r\n                  persona.map((item, index) => {\r\n                    return (\r\n                      <MenuItem key={index} value={item._id}>\r\n                        <em>{item.nombre}</em>\r\n                      </MenuItem>\r\n                    );\r\n                  })\r\n                ) : (\r\n                    <MenuItem key={-1} value={0}>\r\n                      <em>''</em>\r\n                    </MenuItem>\r\n                  )}\r\n              </Select>\r\n            </Grid>\r\n\r\n            <Grid item xs={12}>\r\n              <Select\r\n                labelId=\"demo-customized-select-label\"\r\n                id=\"demo-customized-select\"\r\n                style={{ width: \"100%\" }}\r\n                onChange={ModificaLibroSeleccionado}\r\n                value={libroSeleccionado}\r\n                labelWidth={\"Autor\"}\r\n                margin=\"dense\"\r\n                placeholder={\"Horarios\"}\r\n              >\r\n                <MenuItem selected={true} key={1} value={0}>\r\n                  Seleccione Libro\r\n                </MenuItem>\r\n                {libros !== null ? (\r\n                  libros.map((item, index) => {\r\n                    return (\r\n                      <MenuItem key={index} value={item._id}>\r\n                        <em>{item.nombre}</em>\r\n                      </MenuItem>\r\n                    );\r\n                  })\r\n                ) : (\r\n                    <MenuItem key={-1} value={0}>\r\n                      <em>''</em>\r\n                    </MenuItem>\r\n                  )}\r\n              </Select>\r\n            </Grid>\r\n            \r\n                    \r\n\r\n\r\n          </Grid>\r\n          <Button\r\n            type=\"submit\"\r\n            fullWidth\r\n            variant=\"contained\"\r\n            color=\"primary\"\r\n            className={classes.submit}\r\n          >\r\n            {accion}\r\n          </Button>\r\n          <Grid container spacing={1}>\r\n            <MaterialDatatable\r\n\r\n              title={\"Prestamo\"}\r\n              data={prestamo}\r\n              columns={columns}\r\n              options={options}\r\n            />\r\n          </Grid>\r\n\r\n\r\n        </form>\r\n\r\n\r\n      </div>\r\n\r\n    </Container>\r\n  );\r\n}",{"ruleId":"85","severity":1,"message":"86","line":4,"column":8,"nodeType":"87","messageId":"88","endLine":4,"endColumn":11},{"ruleId":"85","severity":1,"message":"89","line":6,"column":8,"nodeType":"87","messageId":"88","endLine":6,"endColumn":13},{"ruleId":"90","replacedBy":"91"},{"ruleId":"92","replacedBy":"93"},{"ruleId":"94","severity":1,"message":"95","line":16,"column":27,"nodeType":"96","messageId":"97","endLine":16,"endColumn":29},{"ruleId":"85","severity":1,"message":"98","line":2,"column":8,"nodeType":"87","messageId":"88","endLine":2,"endColumn":14},{"ruleId":"85","severity":1,"message":"99","line":6,"column":8,"nodeType":"87","messageId":"88","endLine":6,"endColumn":24},{"ruleId":"85","severity":1,"message":"100","line":7,"column":8,"nodeType":"87","messageId":"88","endLine":7,"endColumn":16},{"ruleId":"85","severity":1,"message":"101","line":8,"column":8,"nodeType":"87","messageId":"88","endLine":8,"endColumn":12},{"ruleId":"85","severity":1,"message":"102","line":10,"column":8,"nodeType":"87","messageId":"88","endLine":10,"endColumn":11},{"ruleId":"85","severity":1,"message":"103","line":46,"column":35,"nodeType":"87","messageId":"88","endLine":46,"endColumn":41},{"ruleId":"85","severity":1,"message":"104","line":46,"column":42,"nodeType":"87","messageId":"88","endLine":46,"endColumn":51},{"ruleId":"94","severity":1,"message":"95","line":124,"column":14,"nodeType":"96","messageId":"97","endLine":124,"endColumn":16},{"ruleId":"94","severity":1,"message":"95","line":129,"column":31,"nodeType":"96","messageId":"97","endLine":129,"endColumn":33},{"ruleId":"94","severity":1,"message":"95","line":152,"column":13,"nodeType":"96","messageId":"97","endLine":152,"endColumn":15},{"ruleId":"94","severity":1,"message":"95","line":157,"column":29,"nodeType":"96","messageId":"97","endLine":157,"endColumn":31},{"ruleId":"94","severity":1,"message":"95","line":195,"column":29,"nodeType":"96","messageId":"97","endLine":195,"endColumn":31},{"ruleId":"85","severity":1,"message":"105","line":231,"column":12,"nodeType":"87","messageId":"88","endLine":231,"endColumn":18},{"ruleId":"106","severity":1,"message":"107","line":45,"column":9,"nodeType":"108","messageId":"97","endLine":45,"endColumn":11},{"ruleId":"106","severity":1,"message":"107","line":48,"column":9,"nodeType":"108","messageId":"97","endLine":48,"endColumn":11},{"ruleId":"94","severity":1,"message":"95","line":94,"column":16,"nodeType":"96","messageId":"97","endLine":94,"endColumn":18},{"ruleId":"94","severity":1,"message":"95","line":104,"column":33,"nodeType":"96","messageId":"97","endLine":104,"endColumn":35},{"ruleId":"85","severity":1,"message":"98","line":2,"column":8,"nodeType":"87","messageId":"88","endLine":2,"endColumn":14},{"ruleId":"85","severity":1,"message":"99","line":6,"column":8,"nodeType":"87","messageId":"88","endLine":6,"endColumn":24},{"ruleId":"85","severity":1,"message":"100","line":7,"column":8,"nodeType":"87","messageId":"88","endLine":7,"endColumn":16},{"ruleId":"85","severity":1,"message":"101","line":8,"column":8,"nodeType":"87","messageId":"88","endLine":8,"endColumn":12},{"ruleId":"85","severity":1,"message":"102","line":10,"column":8,"nodeType":"87","messageId":"88","endLine":10,"endColumn":11},{"ruleId":"85","severity":1,"message":"109","line":11,"column":8,"nodeType":"87","messageId":"88","endLine":11,"endColumn":18},{"ruleId":"85","severity":1,"message":"103","line":46,"column":35,"nodeType":"87","messageId":"88","endLine":46,"endColumn":41},{"ruleId":"85","severity":1,"message":"104","line":46,"column":42,"nodeType":"87","messageId":"88","endLine":46,"endColumn":51},{"ruleId":"85","severity":1,"message":"110","line":52,"column":10,"nodeType":"87","messageId":"88","endLine":52,"endColumn":19},{"ruleId":"94","severity":1,"message":"95","line":124,"column":14,"nodeType":"96","messageId":"97","endLine":124,"endColumn":16},{"ruleId":"94","severity":1,"message":"95","line":129,"column":31,"nodeType":"96","messageId":"97","endLine":129,"endColumn":33},{"ruleId":"85","severity":1,"message":"105","line":164,"column":12,"nodeType":"87","messageId":"88","endLine":164,"endColumn":18},{"ruleId":"85","severity":1,"message":"111","line":4,"column":8,"nodeType":"87","messageId":"88","endLine":4,"endColumn":17},{"ruleId":"106","severity":1,"message":"107","line":46,"column":9,"nodeType":"108","messageId":"97","endLine":46,"endColumn":11},{"ruleId":"106","severity":1,"message":"107","line":49,"column":9,"nodeType":"108","messageId":"97","endLine":49,"endColumn":11},{"ruleId":"85","severity":1,"message":"112","line":50,"column":20,"nodeType":"87","messageId":"88","endLine":50,"endColumn":31},{"ruleId":"94","severity":1,"message":"95","line":101,"column":16,"nodeType":"96","messageId":"97","endLine":101,"endColumn":18},{"ruleId":"94","severity":1,"message":"95","line":111,"column":33,"nodeType":"96","messageId":"97","endLine":111,"endColumn":35},"no-unused-vars","'App' is defined but never used.","Identifier","unusedVar","'Libro' is defined but never used.","no-native-reassign",["113"],"no-negated-in-lhs",["114"],"eqeqeq","Expected '===' and instead saw '=='.","BinaryExpression","unexpected","'Avatar' is defined but never used.","'FormControlLabel' is defined but never used.","'Checkbox' is defined but never used.","'Link' is defined but never used.","'Box' is defined but never used.","'errors' is assigned a value but never used.","'getValues' is assigned a value but never used.","'click2' is defined but never used.","no-empty-pattern","Unexpected empty array pattern.","ArrayPattern","'Typography' is defined but never used.","'idUsuario' is assigned a value but never used.","'TextField' is defined but never used.","'setPrestamo' is assigned a value but never used.","no-global-assign","no-unsafe-negation"]